const BaseClient = require("./baseClient")
const settings = require("../../../config/settings");
const { appKey, secret } = settings;
/**
 * 磐农 产品
 */
class PannongClient extends BaseClient {
    constructor() {
        super(appKey, secret, "/api/opreceive/service/notice");
        this.instance = null;
    }
    static getInstance() {
        if (!this.instance) {
            this.instance = new PannongClient();
        }
        return this.instance;
    }
}

module.exports = PannongClient